# stg-spill(1) Manual Page

## NAME

stg-spill - Spill changes from the topmost patch

## SYNOPSIS

    stg spill [OPTIONS] [path]…

## DESCRIPTION

Spill changes from the topmost patch. Changes are removed from the patch, but remain in the index and worktree.

Spilling a patch may be useful for reselecting the files/hunks to be included in the patch.

## OPTIONS

-a <note>
--annotate=<note>

  Annotate the patch log entry with note

-r
--reset

  Also reset the index such that the patch’s changes only remain in the worktree. Without this option, the patch’s changes will be in both the index and worktree.

--committer-date-is-author-date

  Instead of using the current time as the committer date, use the author date of the commit as the committer date.

## StGit

Part of the StGit suite - see stg(1)